zenilib: SDL_DisplayData Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
SDL_DisplayData Struct Reference

`#include <SDL_cocoamodes.h>`

## Public Attributes

int | depth
TCHAR | DeviceName [32]
CGDirectDisplayID | display
DISPMANX_DISPLAY_HANDLE_T | dispman_display
CGFloat | scale
int | scanline_pad
int | screen
UIScreen * | uiscreen
int | use_vidmode
int | use_xinerama
int | use_xrandr
Visual * | visual
int | x
int | y

## Detailed Description

Definition at line 26 of file SDL_cocoamodes.h.

## Member Data Documentation

int SDL_DisplayData::depth

Definition at line 30 of file SDL_x11modes.h.

TCHAR SDL_DisplayData::DeviceName[32]

Definition at line 28 of file SDL_windowsmodes.h.

CGDirectDisplayID SDL_DisplayData::display

Definition at line 28 of file SDL_cocoamodes.h.

DISPMANX_DISPLAY_HANDLE_T SDL_DisplayData::dispman_display

Definition at line 41 of file SDL_rpivideo.h.

CGFloat SDL_DisplayData::scale

Definition at line 31 of file SDL_uikitmodes.h.

int SDL_DisplayData::scanline_pad

Definition at line 31 of file SDL_x11modes.h.

int SDL_DisplayData::screen

Definition at line 28 of file SDL_x11modes.h.

UIScreen* SDL_DisplayData::uiscreen

Definition at line 30 of file SDL_uikitmodes.h.

int SDL_DisplayData::use_vidmode

Definition at line 37 of file SDL_x11modes.h.

int SDL_DisplayData::use_xinerama

Definition at line 35 of file SDL_x11modes.h.

int SDL_DisplayData::use_xrandr

Definition at line 36 of file SDL_x11modes.h.

Visual* SDL_DisplayData::visual

Definition at line 29 of file SDL_x11modes.h.

int SDL_DisplayData::x

Definition at line 32 of file SDL_x11modes.h.

int SDL_DisplayData::y

Definition at line 33 of file SDL_x11modes.h.

The documentation for this struct was generated from the following files:

- zenilib/jni/external/sdl/src/video/cocoa/SDL_cocoamodes.h
- zenilib/jni/external/sdl/src/video/raspberry/SDL_rpivideo.h
- zenilib/jni/external/sdl/src/video/uikit/SDL_uikitmodes.h
- zenilib/jni/external/sdl/src/video/windows/SDL_windowsmodes.h
- zenilib/jni/external/sdl/src/video/x11/SDL_x11modes.h